Subject: Re: bug#10754: define-minor-mode and doc of derived mode

From: John Shahid <[email-masked]>
Date: Sun, 17 Jun 2018 23:19:23 +0000

Stefan Monnier <[email-masked]> writes:

> I think we can avoid it by looking for the presence of ARG in
> the docstring

I think this can work, but it doesn't feel very elegant or obvious from
the pov of the caller of `define-minor-mode'. What's wrong with adding
an extra keyword arg ?

> (or by simply always adding it, and then going through
> the various minor modes and remove the corresponding text from their
> docstrings).

I think this change needs to be backward compatible. There could be
other callers that aren't packaged with Emacs.